// TranTabCtrl.cpp : 구현 파일입니다.
//

#include "stdafx.h"
#include "ConsoleTransfer.h"
#include "TranTabCtrl.h"
#include ".\trantabctrl.h"


// CTranTabCtrl

IMPLEMENT_DYNAMIC(CTranTabCtrl, CTabCtrl)
CTranTabCtrl::CTranTabCtrl()
{
}

CTranTabCtrl::~CTranTabCtrl()
{
}


BEGIN_MESSAGE_MAP(CTranTabCtrl, CTabCtrl)
	ON_WM_CTLCOLOR()
END_MESSAGE_MAP()



// CTranTabCtrl 메시지 처리기입니다.


HBRUSH CTranTabCtrl::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor)
{
	HBRUSH hbr = CTabCtrl::OnCtlColor(pDC, pWnd, nCtlColor);

	if (GetDlgItem(IDC_STC_STATUS) != pWnd) {
		if (nCtlColor == CTLCOLOR_STATIC) {
			pDC->SetBkMode(TRANSPARENT);
			hbr = (HBRUSH)GetStockObject(NULL_BRUSH);
		}
	}

	// TODO:  기본값이 적당하지 않으면 다른 브러시를 반환합니다.
	return hbr;
}
